Jump to content

Welcome, Guest!

By registering with us, you'll be able to discuss, share and private message with other members of our community.

datakick

Core Updater: not possible to update to latest bleeding edge

Recommended Posts

This is just a short FYI:

We are currently integrating various features to main branch (aka bleeding edge) in preparation for release of thirty bees version 1.3.0.

Some of these features require special initialisation, for example creating entries in database tables, new menu items, etc. Unfortunately, current version of Core updater do not support this functionality - only code is updated, and potentially database schema is fixed. But no data fixtures can be inserted into the database as part of update. This is serious limitation that prevents us to roll out of new features.

Therefore, we have decided to extend Core Updater and implement this functionality. New version will be released soon. This new version allows us to introduce new core code together with all data fixtures it needs, nicely wrapped together.

New functionality in 1.3.0/bleeding edge already depends on this new core updater functionality. Unfortunately, this also means that in order to update to upcoming version 1.3.0 (or current bleeding edge), you will have to first update your Core Updater module.

Current version of core updater CAN NOT be used to update to this new version, because the system database would end up in inconsistent state. 

You can still use current version to update to 1.2.0, but not to main (bleeding edge).

This is wanted behaviour.  Once new version of core updater is released (hopefully this week) and you update to it, you will once again be able to update to bleeding edge and/or 1.3.0.

 

  • Like 2
  • Thanks 4

Share this post


Link to post
Share on other sites

I have version 1.2 ... I went to Core Updater and noticed many files ready to update presumably for 1.3. By good fortune I read this first. However I went to Modules and checked for updates, particularly for Core Updater module but it said Core Updater was up to date, which seemed odd given your comments above @datakick
 

I'm not sure now whether to just go ahead with Core Updater, given that the module hasn't been updated... I don't want to stuff the db trying to update

Share this post


Link to post
Share on other sites

Glad I read this first, otherwise I wouldn't have known.. Should this not be put where everyone can see it ,like on the Dash board under  "thirty bees News"

Share this post


Link to post
Share on other sites

The new version of core updater is not yet released, it's currently under testing. There were a lot of changes, both in server api and module, so I want to be sure this works correctly before we release it officially. Wouldn't want to destroy your stores during update 🙂

 

8 minutes ago, AndyC said:

Glad I read this first, otherwise I wouldn't have known.. Should this not be put where everyone can see it ,like on the Dash board under  "thirty bees News"

Good idea, will look into it. Although I don't think many merchants would notice this -- does anyone actually read the news stream on dashboard?

Share this post


Link to post
Share on other sites
Posted (edited)

I do when I see something new.. I know it's been the same for a long time , but it does catch my eye when it changes to a new post.

Also you cover yourself when people start flooding you with errors about it , you can then say well it was on your Dashboard news 🙂

Edited by AndyC

Share this post


Link to post
Share on other sites

Shouldn't updates be switched off and unavailable until the module is ready?

 

From what @datakick
was saying it could be hazardous to upgrade without the module mods

Share this post


Link to post
Share on other sites
2 hours ago, Mark said:

Shouldn't updates be switched off and unavailable until the module is ready?

They are (the dangerous ones). Thirty bees server does not allows you to update to bleeding edge, it simply does not offer this target for selection. 

 

Share this post


Link to post
Share on other sites
On 9/10/2021 at 1:08 PM, the.rampage.rado said:

Any news on 1.3?

Yeah I would also be interested in any news here. If I understand right, it's not possible to update TB since 1.5 months :S

Share this post


Link to post
Share on other sites

My site says its upgraded to 1.3 .... dont ask me how that happened though as I purposefully didnt do it knowing it could  be hazardous... however it works fine fortunately

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...